import { world, system, ItemComponentTypes, ItemStack } from '@minecraft/server'

world.afterEvents.itemUse.subscribe(({ source, itemStack}) => {
	const gem = [ "pvz:experience_gem" ];
	if (source.level >= 5 && gem.includes(itemStack.typeId)) {
		source.playSound("random.orb");
		source.runCommand('clear @s pvz:experience_gem 0 1');
		source.runCommand('give @s pvz:experience_gem_full');
		source.runCommand('xp -5L @s');
	}
	else if (source.level < 5 && gem.includes(itemStack.typeId)) {
		source.playSound("note.bassattack");
		source.runCommand('titleraw @p actionbar {"rawtext":[{"translate":"action.gem.deny"}]}');
	}
});