import { world, BlockPermutation } from '@minecraft/server'

world.beforeEvents.worldInitialize.subscribe(initEvent => {
	initEvent.blockComponentRegistry.registerCustomComponent('pvz:random_texture', {
		onPlace: e => {
			const { block } = e;
			const {x,y,z} = block.location;
			const placed = block.permutation.withState("pvz:texture", Math.floor(Math.random()*4));
			block.setPermutation(placed);
		}
	});
});